package javakurs.musterloesung.uebung01.aufgabe1;

import java.io.IOException;

/**
 * {@link TranscoderTest} is a test class for {@link Transcoder}.
 *
 * @author Joerg Steffen, DFKI
 * @version $Id: TranscoderTest.java,v 1.1 2010/10/27 08:40:56 steffen Exp $
 */
public final class TranscoderTest {

  /**
   * This would create a new instance of {@link TranscoderTest}. Not to be used.
   */
  private TranscoderTest() {

    // private constructor to enforce noninstantiability
  }


  /**
   * This is the main method. It requires no arguments.
   *
   * @param args
   *          the arguments; not used here
   */
  public static void main(String[] args) {

    try {
      Transcoder.transcode("data/uebung01/latin1.txt", "latin1",
                           "data/uebung01/conv-utf8.txt", "utf8");
      Transcoder.transcode("data/uebung01/utf8.txt", "utf8",
                           "data/uebung01/conv-latin1.txt", "latin1");
    } catch (IOException ioe) {
      ioe.printStackTrace();
    }
  }
}
